Description

This is a guide for installing PiCluster on Arch Linux ARM using a Raspberry Pi 3.

Prepare the Environment

o Make sure the system is up to date:
pacman —-Syu
e |nstall prerequisites:
pacman —-S docker git nodejs npm
e Start and enable docker at boot:

systemctl enable docker
systemctl start docker

Install PiCluster

e Download the latest PiCluster version from GitHub:
git clone https://github.com/picluster/picluster.git /opt/picluster
® Create a config file from the example:
cp config-example. json config. json
e Edit the config.json file:
vi config. json
o And edit the config file to suit your environment:

NOTE: Use the web_connect key to the value of the host systems IP address. Otherwise you will get connection errors
while starting the agent.

"token": "1234567890ABCDEFGHJKLMNOP",
"docker": "/opt/picluster/docker",
"server_port": "3000",
"agent_port": "3001",
"layout": [{
"node": "picluster.example.com",
"nginx": "-p 80:80",
"minio": "-p 9000:9000"
Pl
"hb": [{
"node": "picluster.example.com",
"minio": "9000",
"nginx": "80"
1y
"container_host_constraints": [{
"container": "nginx,localhost,127.0.0.1",
"container": "minio,localhost,127.0.0.1"
Pl
"automatic_heartbeat": "disabled",
"heartbeat_interval": "10000",
"syslog": "dmesg",
"web_username": "admin",
"web_password": "admin",
"web_connect": "127.0.0.1",
"web_port": "3003"

e |nstall and run server:

cd /opt/picluster/server
npm install

e |nstall and run agent:

cd ../agent
npm install

e |nstall and run web console:

cd ../web
npm install

Init with pm2
o NOTE: Make sure to login to root with su - or sudo -i to preserve needed environment variables.

¢ Install pm2:
npm install —-g pm2

e |nstall the pm2 systemd init script as the picluster user:
pm2 startup systemd

e Export the picluster config filepath environment variable:

export PICLUSTER_CONFIG='/opt/picluster/config. json'
e Start the server, agent, and webconsole scripts:

pm2 start /opt/picluster/server/server.js
pm2 start /opt/picluster/agent/agent.js
pm2 start /opt/picluster/web/webconsole. js

e Save the pm2 session to restart at boot:

pm2 save

Resources

e hitps://github.com/rusher81572/picluster

History

#1 - 06/06/2017 11:01 PM - Daniel Curtis
- Description updated
- Status changed from New to In Progress

- % Done changed from 0 to 30

#2 - 06/06/2017 11:12 PM - Daniel Curtis
- Description updated

#3 - 06/07/2017 11:21 PM - Daniel Curtis
- Description updated
- % Done changed from 30 to 50

#4 - 06/08/2017 09:56 PM - Daniel Curtis

- Description updated

#5 - 06/09/2017 11:46 AM - Daniel Curtis
- Description updated

- % Done changed from 50 to 70

#6 - 06/11/2017 09:38 PM - Daniel Curtis
- Description updated

- % Done changed from 70 to 80

#7 - 06/11/2017 10:30 PM - Daniel Curtis
- Description updated

#8 - 06/25/2017 11:22 PM - Daniel Curtis
- Description updated
- % Done changed from 80 to 90

#9 - 06/26/2017 09:56 PM - Daniel Curtis

- Description updated

Removed the following:

NOTE: | needed to set the config file path in the server.js, agent.js, and webconsole.js scripts to the absolute config path:

cd /opt/picluster/server
sed -i.bak -e "s/..\/config.Jjson/\/opt\/picluster\/config.json/g" server.js

cd ../agent
sed -i.bak -e "s/..\/config.Jjson/\/opt\/picluster\/config.json/g" agent.js

cd ../web
sed —-i.bak —-e "s/..\/config.json/\/opt\/picluster\/config.json/g" webconsole.Js

#10 - 07/01/2017 09:13 PM - Daniel Curtis

- Description updated

#11 - 08/11/2017 04:40 PM - Daniel Curtis
- Description updated

#12 - 03/19/2018 08:31 PM - Daniel Curtis

- Status changed from In Progress to Closed
